Debian Bug report logs - #734425
imlib2-config --libs gives invalid output

version graph

Package: src:imlib2; Maintainer for src:imlib2 is Alessandro Ghedini <ghedo@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 7 Jan 2014 03:09:01 UTC

Severity: normal

Tags: patch

Found in version imlib2/1.4.6-1

Fixed in version imlib2/1.4.6-2

Done: Alessandro Ghedini <ghedo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#734425; Package src:imlib2. (Tue, 07 Jan 2014 03:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Tue, 07 Jan 2014 03:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: imlib2-config --libs gives invalid output
Date: Tue, 07 Jan 2014 03:06:16 +0000
[Message part 1 (text/plain, inline)]
Source: imlib2
Version: 1.4.6-1
Severity: normal
Tags: patch

Running /usr/bin/imlib2-config --libs gives:
-L/usr/lib/aarch64-linux-gnu -lImlib2 @my_libs@

That @my_libs@ is wrong. And can break builds which use these flags
(such as w3m on arm64, for example). It should have been substituted
with something, but there seems to be nothing in the package to do that
substitution when imlib2-config.in is generated into imlib2-config

I'm not sure what the original idea was, but the @my_libs@ seems to be redundant now.

The attached patch just removes it so that the package produces a
version of imlib2-config that produces a valid output for --libs

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[imlib2_1.4.6-1-config-script-fix.patch (text/x-diff, attachment)]

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Tue, 07 Jan 2014 11:21:17 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Tue, 07 Jan 2014 11:21:17 GMT) Full text and rfc822 format available.

Message #10 received at 734425-close@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: 734425-close@bugs.debian.org
Subject: Bug#734425: fixed in imlib2 1.4.6-2
Date: Tue, 07 Jan 2014 11:18:31 +0000
Source: imlib2
Source-Version: 1.4.6-2

We believe that the bug you reported is fixed in the latest version of
imlib2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 734425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro Ghedini <ghedo@debian.org> (supplier of updated imlib2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jan 2014 12:02:29 +0100
Source: imlib2
Binary: libimlib2 libimlib2-dev
Architecture: source amd64
Version: 1.4.6-2
Distribution: unstable
Urgency: medium
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Changed-By: Alessandro Ghedini <ghedo@debian.org>
Description: 
 libimlib2  - image loading, rendering, saving library
 libimlib2-dev - image loading, rendering, saving library (development files)
Closes: 734425
Changes: 
 imlib2 (1.4.6-2) unstable; urgency=medium
 .
   * Add 03_fix-imlib-config-libraries.patch to fix imlib2-config --libs output
     Thanks to Wookey for the patch (Closes: #734425)
Checksums-Sha1: 
 2f53bd5adc6b6eaf66eb04b189cf8407b88285ec 1997 imlib2_1.4.6-2.dsc
 9e920621fb0597a801ee4b18ee15476fe2dd053c 10829 imlib2_1.4.6-2.debian.tar.gz
 952b3a38d20ff1e03499e6d501c629b4c19c0f69 174910 libimlib2_1.4.6-2_amd64.deb
 9b3995d5804401b2fe69ae879ea27aa76a8ffc99 168310 libimlib2-dev_1.4.6-2_amd64.deb
Checksums-Sha256: 
 454cb5db44d7eccb1a9c99ba90614a9b449e855303b78a1aa474cb9f2199bb7d 1997 imlib2_1.4.6-2.dsc
 1f9749aa9699b6f169a5e22ca54437e7a5ae13db04b384b3f489a1ba2606750c 10829 imlib2_1.4.6-2.debian.tar.gz
 b5d2967bcb700f0637007b3a9823de02bdffc9d788683f31c66e34f9961c066e 174910 libimlib2_1.4.6-2_amd64.deb
 24a31a310a3989b9fd48b895a2e18092ceb089cebb77f9623376c6c05740e915 168310 libimlib2-dev_1.4.6-2_amd64.deb
Files: 
 40f5d5a0619a8f2f5d8be745bd453f28 1997 libs optional imlib2_1.4.6-2.dsc
 24620283f43c4475f6ec8fe2821b887d 10829 libs optional imlib2_1.4.6-2.debian.tar.gz
 67da28e09b3e282d701af082c1a15a67 174910 libs optional libimlib2_1.4.6-2_amd64.deb
 05dcd68189a2bdee03d02fdd052c0bee 168310 libdevel optional libimlib2-dev_1.4.6-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBAgAGBQJSy98WAAoJEK+lG9bN5XPLnW8P/3Z3KO+KW2kzjPwpKXv0eD6u
tL4N8AbN7jU+61avEflDi3T8Y935Z5g5C4nOMPaaof8pJtq0M2R2Fc6ri8f2GTSD
5/GoY3/j3Vgudz2VV88pI+lhcm1BYvXPmEGgq18DHPNTMN9R4oLDRiey41lXATwL
HjSe8wE8Ehg7+SzM5IenwUDZfaJvX7DG5SSP+7s4igjfUTnhkl7JYY05QiLxHcTN
RnzJJ9tCZ3VBnPxciTZPESDP7qN5iL5YIONXeRp+SljyQe+lR2T+EmaIcBiFG7bi
OXl4hvfNHX2NUiX4xq93dAiiUAjTEdsi3dWsKYuivI/UrSEFqjYcW/MVNpBJNEGt
F6HQ8sJY6lqvx1SY2/mMDLTYrOmea51i+vJOuQU2IDsOoG36xKZBJKPK8i2v1i/l
NtsyMhioQwh+r899mCmt+b6gDYum2pkmDqkKPCzze5wLoulzvq+8Q9ouk7hWgm31
0ikyn3DpCLyFHaN/BMISIyEXHlJZsU05UflbY9yTBoRXr4xl3tb9pfBKze6IN3ZY
QbGg9TzlbQOzTLJ1bzPct5hMULtHP4l9MQKqwZtyIU/qOSMJAPm0OBlCOQeYnbRu
XjdQL/Nz+PxyDyTYKQ0U3TuIz+RwIemENlKSlP3LG+AcDJmTlJcz0GibXbY4hI5p
oMzbNnpoDq15PLx6WrgW
=yqKq
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#734425; Package src:imlib2. (Sat, 11 Jan 2014 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Sat, 11 Jan 2014 08:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 734425@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: wookey@wookware.org
Cc: 734425@bugs.debian.org
Subject: Re: imlib2-config --libs gives invalid output
Date: Sat, 11 Jan 2014 17:07:13 +0900 (JST)
[Message part 1 (text/plain, inline)]
On January 7, 2014 at 3:06AM +0000, wookey (at wookware.org) wrote:
> Source: imlib2
> Version: 1.4.6-1
> Severity: normal
> Tags: patch
>
> Running /usr/bin/imlib2-config --libs gives:
> -L/usr/lib/aarch64-linux-gnu -lImlib2 @my_libs@
>
> That @my_libs@ is wrong. And can break builds which use these flags
> (such as w3m on arm64, for example).

FYI, w3m <=0.5.3-14 fails to build even if your imlib2 patch
is applied, because -lX11 is missing.  This issue is fixed in
w3m 0.5.3-15.

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alessandro Ghedini <ghedo@debian.org>:
Bug#734425; Package src:imlib2. (Sat, 11 Jan 2014 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@debian.org>:
Extra info received and forwarded to list. Copy sent to Alessandro Ghedini <ghedo@debian.org>. (Sat, 11 Jan 2014 08:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 734425@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@debian.org>
To: wookey@wookware.org
Cc: 734425@bugs.debian.org
Subject: Re: imlib2-config --libs gives invalid output
Date: Sat, 11 Jan 2014 17:09:56 +0900 (JST)
[Message part 1 (text/plain, inline)]
On January 11, 2014 at 5:07PM +0900, tats (at debian.org) wrote:
> FYI, w3m <=0.5.3-14 fails to build even if your imlib2 patch
> is applied, because -lX11 is missing.  This issue is fixed in
> w3m 0.5.3-15.

Oops, corrected:

FYI, w3m <=0.5.3-13 fails to build even if your imlib2 patch
is applied, because -lX11 is missing.  This issue is fixed in
w3m 0.5.3-14.

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Feb 2014 07:28:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:35:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.